Subject: efibootmgr failed to register the boot entry: Input/output error

From: David Dashyan <[email-masked]>
Date: Mon, 22 Mar 2021 22:20:41 +0300

Dear Guix,

I ran 'guix system reconfigure' yesterday and it failed during
bootloader installation. I couldn't load system afterwards.

> activating system...
> making '/gnu/store/agdqqyc7wm3gv53dgca9gir09h9ax0ym-system' the current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/bvvsriahzjxv8m977j84xsn802rrz27d-etc...
> The following derivation will be built:
>    /gnu/store/cx5i04kjidixkkdi2cj01v0ij72frsan-install-bootloader.scm.drv
> 
> building /gnu/store/cx5i04kjidixkkdi2cj01v0ij72frsan-install-bootloader.scm.drv...
> guix system: error: '/gnu/store/q5mhiwj4rap24i2b2y9svwbfsn3ya0v1-grub-efi-2.04/sbin/grub-install --boot-directory //boot --bootloader-id=Guix --efi-directory //boot/efi' exited with status 1; output follows:

>   Installing for x86_64-efi platform.
>   Could not prepare Boot variable: No space left on device
>   /gnu/store/q5mhiwj4rap24i2b2y9svwbfsn3ya0v1-grub-efi-2.04/sbin/grub-install: error: efibootmgr failed to register the boot entry: Input/output error.

Running 
> sudo efibootmgr --create --disk /dev/nvme0n1p1 --part 1 --loader \
> '\EFI\Guix\grubx64.efi' --label Guix
has same effect on guix system, but works fine when runned in ubuntu
live cd.

I don't get why it complains that there is "no space left on device"
though.

output of `df -h` contains:
> /dev/nvme0n1p1         548M  212K  548M   1% /boot/efi

Haven't woked out how to fix it manually, just keep suspending for now :)

-- 
David aka zzappie